package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.UserCoupon;


/**
*  service接口类
*/
public interface UserCouponService{

    List<UserCoupon> getUserCouponList(UserCoupon record);

    List<UserCoupon> getUserCouponByPage(Page page, UserCoupon record);

    UserCoupon getUserCouponById(String id);

    UserCoupon getUserCoupon(UserCoupon record);

    boolean createUserCoupon(UserCoupon record);

    boolean deleteUserCoupon(String id);

    boolean updateUserCoupon(UserCoupon record);
}

